package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Entity
@Table(name = "Kegiatan_M")
public class Kegiatan extends BaseMaster {

	//private static final long serialVersionUID = -8924639345065780422L;

	@Column(name = "NamaKegiatan", nullable = true)
	@NotNull(message = "Nama Kegiatan tidak boleh kosong")
	@Caption(value = "Nama Kegiatan")
	private String namaKegiatan;

	@Column(name = "KodeKegiatan", nullable = true)
	@NotNull(message = "Kode Kegiatan tidak boleh kosong")
	@Caption(value = "Kode Kegiatan")
	private String kodeKegiatan;

	@Column(name = "KeteranganKegiatan", nullable = true)
	@NotNull(message = "Keterangan Kegiatan tidak boleh kosong")
	@Caption(value = "Keterangan Kegiatan")
	private String ketKegiatan;

	public String getNamaKegiatan() {
		return namaKegiatan;
	}

	public void setNamaKegiatan(String namaKegiatan) {
		this.namaKegiatan = namaKegiatan;
	}

	public String getKodeKegiatan() {
		return kodeKegiatan;
	}

	public void setKodeKegiatan(String kodeKegiatan) {
		this.kodeKegiatan = kodeKegiatan;
	}

	public String getKetKegiatan() {
		return ketKegiatan;
	}

	public void setKetKegiatan(String ketKegiatan) {
		this.ketKegiatan = ketKegiatan;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.kegiatan_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.kegiatan_m_id_seq", sequenceName = "public.kegiatan_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}